# The *haskintex* program

The *haskintex* program is a tool that reads a LaTeX file and evaluates Haskell expressions contained
in some specific commands and environments. It allows you to define your own functions, use any GHC Haskell language
extension and, in brief, anything you can do within Haskell. You can freely add any Haskell code you need, and make
this code appear *optionally* in the LaTeX output. It is a tiny program, and therefore, easy to understand, use and
predict.

For more details, read the [homepage of the project](https://daniel-casanueva.gitlab.io/haskell/haskintex).
